Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: ddclient

Interfaces

### Description:

Update dynamic IP address at DynDNS.org.

### Interfaces:

ddclient_admin( domain , role )

##### Summary

All of the rules required to administrate an ddclient environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

ddclient_domtrans( domain )

##### Summary

Execute ddclient in the ddclient domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ddclient_run( domain , role )

##### Summary

Execute ddclient in the ddclient domain, and allow the specified role the ddclient domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return